<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2008 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    any later version accepted by Marco Maria Francesco De Santis, which
#    shall act as a proxy as defined in Section 14 of version 3 of the
#    license.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##################################################################################

$pag = "modifica_var_contr.php";
$titolo = "Modifica variabili documenti";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/sett_gio.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableanni = $PHPR_TAB_PRE."anni";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tablecontratti = $PHPR_TAB_PRE."contratti";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $id_utente == 1) {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


$Euro = nome_valuta();
$stile_soldi = stile_soldi();
$stile_data = stile_data();


if (controlla_num_pos($contr_cond) == "NO" or $contr_cond < 1) $contr_cond = "";
if (strcmp($contr_cond,"")) {
$contr_cond_esist = esegui_query("select numero from $tablecontratti where numero = '".aggslashdb($contr_cond)."' and tipo $LIKE 'contr%' ");
if (numlin_query($contr_cond_esist) != 1) $contr_cond = "";
} # fine if (strcmp($contr_cond,""))

$trad_var = "";
function mex2 ($messaggio) {
global $trad_var,$lingua_mex;
if (!$trad_var and $lingua_mex != "ita") include("./includes/lang/$lingua_mex/visualizza_contratto_var.php");
if ($trad_var[$messaggio]) $messaggio = $trad_var[$messaggio];
elseif (substr($messaggio,-1) == ")") {
$mess_vett = explode("(",substr($messaggio,0,-1));
if ($trad_var[$mess_vett[1]]) $messaggio = $mess_vett[0]."(".$trad_var[$mess_vett[1]].")";
} # fine elseif (substr($messaggio,-1) == ")")
return $messaggio;
} # fine function mex2

include("./includes/variabili_contratto.php");




if ($cambia_qualcosa) {


function elimina_array_pers ($arr_pers_elimina) {
global $tablecontratti,$LIKE,$pag;
$arr_pers_elimina = aggslashdb($arr_pers_elimina);
$continua = "SI";
if (substr($arr_pers_elimina,0,1) != "a") $continua = "NO";
$arr_pers_elimina = substr($arr_pers_elimina,1);
if (controlla_num_pos($arr_pers_elimina) != "SI") $continua = "NO";
if ($continua == "SI") {
$n_arr_pers_el = esegui_query("select * from $tablecontratti where numero = '$arr_pers_elimina' and tipo $LIKE 'vett%'");
if (numlin_query($n_arr_pers_el) != 1) $continua = "NO";
else {
$n_arr_pers_el = explode(";",risul_query($n_arr_pers_el,0,"testo"));
$n_arr_pers_el = $n_arr_pers_el[0]."(".$n_arr_pers_el[1].")";
$arr_pers_el = "a".$arr_pers_elimina;
$condizioni = esegui_query("select * from $tablecontratti where tipo $LIKE 'cond%' order by numero");
$num_condizioni = numlin_query($condizioni);
for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
$condizione = risul_query($condizioni,$num1,'testo');
$condizione = explode("#%?",$condizione);
$elimina_cond_corr = "NO";
if ($condizione[0] == "ini" and ($condizione[1] == $arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "set" and ($condizione[1] == $arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "if" and ($condizione[1] == $n_arr_pers_el or $condizione[4] == $arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "if2" and ($condizione[1] == $n_arr_pers_el or $condizione[4] == $arr_pers_el or $condizione[6] == $n_arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "if3" and ($condizione[1] == $n_arr_pers_el or $condizione[3] == $n_arr_pers_el or $condizione[4] == $arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "if4" and ($condizione[1] == $n_arr_pers_el or $condizione[3] == $n_arr_pers_el or $condizione[4] == $arr_pers_el or $condizione[6] == $n_arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "2if" and ($condizione[1] == $n_arr_pers_el or $condizione[5] == $n_arr_pers_el or $condizione[8] == $arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "2if2" and ($condizione[1] == $n_arr_pers_el or $condizione[5] == $n_arr_pers_el or $condizione[8] == $arr_pers_el or $condizione[10] == $n_arr_pers_el )) $elimina_cond_corr = "SI";
if ($condizione[0] == "replace" and ($condizione[1] == $arr_pers_el or $condizione[2] == $n_arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "replace2" and ($condizione[1] == $arr_pers_el or $condizione[2] == $n_arr_pers_el or $condizione[3] == $n_arr_pers_el or $condizione[4] == $n_arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "trunc" and $condizione[1] == $arr_pers_el) $elimina_cond_corr = "SI";
if ($condizione[0] == "oper" and ($condizione[1] == $arr_pers_el or $condizione[2] == $n_arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "oper2" and ($condizione[1] == $arr_pers_el or $condizione[2] == $n_arr_pers_el or $condizione[4] == $n_arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "unset" and ($condizione[1] == $n_arr_pers_el or $condizione[4] == $arr_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "break" and $condizione[1] == $n_arr_pers_el) $elimina_cond_corr = "SI";
if ($elimina_cond_corr == "SI") {
$num_cond = risul_query($condizioni,$num1,'numero');
$tipo_cond = risul_query($condizioni,$num1,'tipo');
esegui_query("delete from $tablecontratti where numero = '$num_cond' and tipo = '$tipo_cond' ");
} # fine ($elimina_cond_corr == "SI")
} # fine for $num1
esegui_query("delete from $tablecontratti where numero = '$arr_pers_elimina' and tipo $LIKE 'vett%'");
echo mex("Array personalizzato eliminato",$pag).".<br>";
} # fine else if (numlin_query($n_var_pers_el) != 1)
} # fine if ($continua == "SI")
return $continua;
} # fine function elimina_arr_pers

if ($aggiungi_var_pers) {
$mostra_form_iniziale = "NO";
$continua = "SI";
if (@get_magic_quotes_gpc()) $nuova_var_pers = stripslashes($nuova_var_pers);
$nuova_var_pers = str_replace("#%?","",$nuova_var_pers);
if (!$nuova_var_pers) $continua = "NO";
if (ereg_replace("[A-Za-z]","",substr($nuova_var_pers,0,1)) != "") $continua = "NO";
if (ereg_replace("[A-Za-z0-9_]","",$nuova_var_pers) != "") $continua = "NO";
$ultima_parte = explode("_",$nuova_var_pers);
$ultima_parte = (string) $ultima_parte[(count($ultima_parte) - 1)];
if ($ultima_parte != "" and ereg_replace("[0-9]","",$ultima_parte) == "") $continua = "NO";
if ($continua == "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$var_esistente = esegui_query("select * from $tablecontratti where (tipo $LIKE 'var%' and testo $LIKE '$nuova_var_pers') or (tipo $LIKE 'vett%' and testo $LIKE '$nuova_var_pers;%') ");
if (numlin_query($var_esistente) != 0) $continua = "NO";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$file_trad = implode("",@file("./includes/lang/$ini_lingua/visualizza_contratto_var.php"));
if (str_replace("'".$nuova_var_pers."'","",$file_trad) != $file_trad) $continua = "NO";
if (str_replace("\"".$nuova_var_pers."\"","",$file_trad) != $file_trad) $continua = "NO";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
if ($nuova_var_pers == $var_predef[$num1]) $continua = "NO";
} # fine for $num1
if ($solo_contr_cond and strcmp($contr_cond,"")) {
$tipo = "var$contr_cond";
$contr_cond_esist = esegui_query("select numero from $tablecontratti where numero = '".aggslashdb($contr_cond)."' and tipo $LIKE 'contr%' ");
if (numlin_query($contr_cond_esist) != 1) $continua = "NO";
} # fine if ($solo_contr_cond and strcmp($contr_cond,""))
else $tipo = "var";
if ($continua == "SI") {
$max_var = esegui_query("select max(numero) from $tablecontratti where tipo $LIKE 'var%'");
if (numlin_query($max_var) != 0) $max_var = (risul_query($max_var,0,0) + 1);
else $max_var = 1;
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('$max_var','$tipo','$nuova_var_pers')");
echo mex("Nuova variabile personalizzata inserita",$pag).".<br>";
} # fine if ($continua == "SI")
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
if ($continua != "SI") echo mex("I dati inseriti sono <div style=\"display: inline; color: red;\">errati</div>",$pag).".<br>";
} # fine if ($aggiungi_var_pers)

if ($elimina_var_pers) {
$mostra_form_iniziale = "NO";
$var_pers_elimina = aggslashdb($var_pers_elimina);
$continua = "SI";
if (controlla_num_pos($var_pers_elimina) != "SI") $continua = "NO";
if ($continua == "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$n_var_pers_el = esegui_query("select * from $tablecontratti where numero = '$var_pers_elimina' and tipo $LIKE 'var%'");
if (numlin_query($n_var_pers_el) != 1) $continua = "NO";
else {
$n_var_pers_el = risul_query($n_var_pers_el,0,"testo");
$condizioni = esegui_query("select * from $tablecontratti where tipo $LIKE 'cond%' order by numero");
$num_condizioni = numlin_query($condizioni);
for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
$condizione = risul_query($condizioni,$num1,'testo');
$condizione = explode("#%?",$condizione);
$elimina_cond_corr = "NO";
if ($condizione[0] == "ini" and ($condizione[1] == $var_pers_elimina)) $elimina_cond_corr = "SI";
if ($condizione[0] == "set" and ($condizione[1] == $var_pers_elimina)) $elimina_cond_corr = "SI";
if ($condizione[0] == "if" and ($condizione[1] == $n_var_pers_el or $condizione[4] == $var_pers_elimina)) $elimina_cond_corr = "SI";
if ($condizione[0] == "if2" and ($condizione[1] == $n_var_pers_el or $condizione[4] == $var_pers_elimina or $condizione[6] == $n_var_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "if3" and ($condizione[1] == $n_var_pers_el or $condizione[3] == $n_var_pers_el or $condizione[4] == $var_pers_elimina)) $elimina_cond_corr = "SI";
if ($condizione[0] == "if4" and ($condizione[1] == $n_var_pers_el or $condizione[3] == $n_var_pers_el or $condizione[4] == $var_pers_elimina or $condizione[6] == $n_var_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "2if" and ($condizione[1] == $n_var_pers_el or $condizione[5] == $n_var_pers_el or $condizione[8] == $var_pers_elimina)) $elimina_cond_corr = "SI";
if ($condizione[0] == "2if2" and ($condizione[1] == $n_var_pers_el or $condizione[5] == $n_var_pers_el or $condizione[8] == $var_pers_elimina or $condizione[10] == $n_var_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "replace" and ($condizione[1] == $var_pers_elimina or $condizione[2] == $n_var_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "replace2" and ($condizione[1] == $var_pers_elimina or $condizione[2] == $n_var_pers_el or $condizione[3] == $n_var_pers_el or $condizione[4] == $n_var_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "trunc" and $condizione[1] == $var_pers_elimina) $elimina_cond_corr = "SI";
if ($condizione[0] == "oper" and ($condizione[1] == $var_pers_elimina or $condizione[2] == $n_var_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "oper2" and ($condizione[1] == $var_pers_elimina or $condizione[2] == $n_var_pers_el or $condizione[4] == $n_var_pers_el)) $elimina_cond_corr = "SI";
if ($condizione[0] == "unset" and ($condizione[1] == $n_var_pers_el or $condizione[4] == $var_pers_elimina)) $elimina_cond_corr = "SI";
if ($condizione[0] == "break" and $condizione[1] == $n_var_pers_el) $elimina_cond_corr = "SI";
if ($elimina_cond_corr == "SI") {
$num_cond = risul_query($condizioni,$num1,'numero');
$tipo_cond = risul_query($condizioni,$num1,'tipo');
esegui_query("delete from $tablecontratti where numero = '$num_cond' and tipo = '$tipo_cond' ");
} # fine ($elimina_cond_corr == "SI")
} # fine for $num1
$array = esegui_query("select * from $tablecontratti where tipo $LIKE 'vett%' and testo $LIKE '%;$n_var_pers_el;%' ");
$num_array = numlin_query($array);
for ($num1 = 0 ; $num1 < $num_array ; $num1++) {
$var_arr = explode(";",risul_query($array,$num1,'testo'));
$var_arr = $var_arr[1];
if ($var_arr == $n_var_pers_el) {
$num_arr = risul_query($array,$num1,'numero');
elimina_array_pers("a".$num_arr);
} # fine if ($var_arr == $n_var_pers_el)
} # fine for $num1
esegui_query("delete from $tablecontratti where numero = '$var_pers_elimina' and tipo $LIKE 'var%'");
echo mex("Variabile personalizzata eliminata",$pag).".<br>";
} # fine else if (numlin_query($n_var_pers_el) != 1)
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
if ($continua != "SI") echo mex("I dati inseriti sono <div style=\"display: inline; color: red;\">errati</div>",$pag).".<br>";
} # fine if ($elimina_var_pers)

if ($aggiungi_arr_pers) {
$mostra_form_iniziale = "NO";
$continua = "SI";
if (@get_magic_quotes_gpc()) $nuovo_arr_pers = stripslashes($nuovo_arr_pers);
$nuovo_arr_pers = str_replace("#%?","",$nuovo_arr_pers);
if (!$nuovo_arr_pers) $continua = "NO";
if (ereg_replace("[A-Za-z]","",substr($nuovo_arr_pers,0,1)) != "") $continua = "NO";
if (ereg_replace("[A-Za-z0-9_]","",$nuovo_arr_pers) != "") $continua = "NO";
$ultima_parte = explode("_",$nuovo_arr_pers);
$ultima_parte = (string) $ultima_parte[(count($ultima_parte) - 1)];
if ($ultima_parte != "" and ereg_replace("[0-9]","",$ultima_parte) == "") $continua = "NO";
if ($continua == "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$arr_esistente = esegui_query("select * from $tablecontratti where (tipo $LIKE 'vett%' and testo $LIKE '$nuovo_arr_pers;%') or (tipo $LIKE 'var%' and testo $LIKE '$nuovo_arr_pers') ");
if (numlin_query($arr_esistente) != 0) $continua = "NO";
$lang_dir = opendir("./includes/lang/");
while ($ini_lingua = readdir($lang_dir)) {
if ($ini_lingua != "." && $ini_lingua != "..") {
$file_trad = implode("",@file("./includes/lang/$ini_lingua/visualizza_contratto_var.php"));
if (str_replace("'".$nuovo_arr_pers."'","",$file_trad) != $file_trad) $continua = "NO";
if (str_replace("\"".$nuovo_arr_pers."\"","",$file_trad) != $file_trad) $continua = "NO";
} # fine if ($file != "." && $file != "..")
} # fine while ($file = readdir($lang_dig))
closedir($lang_dir);
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
if ($nuovo_arr_pers == $var_predef[$num1]) $continua = "NO";
} # fine for $num1
if ($solo_contr_cond and strcmp($contr_cond,"")) {
$tipo = "vett$contr_cond";
$contr_cond_esist = esegui_query("select numero from $tablecontratti where numero = '".aggslashdb($contr_cond)."' and tipo $LIKE 'contr%' ");
if (numlin_query($contr_cond_esist) != 1) $continua = "NO";
} # fine if ($solo_contr_cond and strcmp($contr_cond,""))
else {
$solo_contr_cond = "";
$tipo = "vett";
} # fine else if ($solo_contr_cond and strcmp($contr_cond,""))
if ($continua == "SI") {
if ($solo_contr_cond) $variabili_pers = esegui_query("select * from $tablecontratti where tipo = 'var' or tipo = 'var$contr_cond' order by tipo, numero");
else $variabili_pers = esegui_query("select * from $tablecontratti where tipo = 'var' order by numero");
$num_variabili_pers = numlin_query($variabili_pers);
for ($num1 = 0 ; $num1 < $num_variabili_pers ; $num1++) {
$var_pers = risul_query($variabili_pers,$num1,'testo');
$num_var_pers = risul_query($variabili_pers,$num1,'numero');
$var_predef[$num_var_predef] = $var_pers;
$num_var_predef++;
$nome_var[$num_var_pers] = $var_pers;
} # fine for $num1
if (!$var_arr) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"contr_cond\" value=\"$contr_cond\">
<input type=\"hidden\" name=\"solo_contr_cond\" value=\"$solo_contr_cond\">
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"nuovo_arr_pers\" value=\"$nuovo_arr_pers\">
<input type=\"hidden\" name=\"aggiungi_arr_pers\" value=\"SI\">
".mex("Array della variabile",$pag).": <select name=\"var_arr\">";
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
echo "<option value=\"".$var_predef[$num1]."\">".mex2($var_predef[$num1])."</option>";
} # fine for $num1
echo "</select>
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Aggiungi",$pag)."\">
</div></form><br>";
} # fine if (!$var_arr)
else {
$var_arr_num = -1;
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
if ($var_arr == $var_predef[$num1]) $var_arr_num = $num1;
} # fine for $num1
if ($var_arr_num < 0) $continua = "NO";
if ($continua == "SI") {
if ($var_arr_num < ($num_var_predef - $num_variabili_pers)) $tipo_arr = "var";
if (!$tipo_arr) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"contr_cond\" value=\"$contr_cond\">
<input type=\"hidden\" name=\"solo_contr_cond\" value=\"$solo_contr_cond\">
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"nuovo_arr_pers\" value=\"$nuovo_arr_pers\">
<input type=\"hidden\" name=\"aggiungi_arr_pers\" value=\"SI\">
<input type=\"hidden\" name=\"var_arr\" value=\"$var_arr\">
".mex("Valori iniziali da assegnare all'array",$pag).":<br>
<table><tr><td rowspan=\"3\" style=\"width: 50px;\"></td>
<td><input type=\"radio\" name=\"tipo_arr\" value=\"var\" checked>".mex("Nessun valore predefinito",$pag).".</td></tr>
<tr><td><input type=\"radio\" name=\"tipo_arr\" value=\"dat\">".mex("Valori progressivi tra le date selezionate",$pag)." (".mex("nelle ripetizioni vengono considerate solo le prenotazioni nella data valutata",$pag).").</td></tr>
<tr><td><input type=\"radio\" name=\"tipo_arr\" value=\"val\">".mex("Lista di valori predefiniti",$pag).":
 <input type=\"text\" name=\"lista_val\" size=\"26\"> (".mex("separati da virgole",$pag).").</td></tr></table>
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Aggiungi",$pag)."\">
</div></form><br>";
} # fine if (!$tipo_arr)
else {
if ($tipo_arr != "var" and $tipo_arr != "dat" and $tipo_arr != "val") $continua = "NO";
if ($continua == "SI") {
if (@get_magic_quotes_gpc()) $lista_val = stripslashes($lista_val);
$lista_val = aggslashdb(str_replace(";","",$lista_val));
$max_arr = esegui_query("select max(numero) from $tablecontratti where tipo $LIKE 'vett%' ");
if (numlin_query($max_arr) != 0) $max_arr = (risul_query($max_arr,0,0) + 1);
else $max_arr = 1;
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('$max_arr','$tipo','$nuovo_arr_pers;$var_arr;$tipo_arr;$lista_val')");
echo mex("Nuovo array personalizzato inserito",$pag).".<br>";
} # fine if ($continua == "SI")
} # fine else if (!$tipo_arr)
} # fine if ($continua == "SI")
} # fine else if (!$var_arr)
} # fine if ($continua == "SI")
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
if ($continua != "SI") echo mex("I dati inseriti sono <div style=\"display: inline; color: red;\">errati</div>",$pag).".<br>";
} # fine if ($aggiungi_arr_pers)

if ($elimina_arr_pers) {
$mostra_form_iniziale = "NO";
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$continua = elimina_array_pers($arr_pers_elimina);
unlock_tabelle($tabelle_lock);
if ($continua != "SI") echo mex("I dati inseriti sono <div style=\"display: inline; color: red;\">errati</div>",$pag).".<br>";
} # fine if ($elimina_arr_pers)


if ($aggiungi_cond) {
$mostra_form_iniziale = "NO";
$continua = "SI";
if (@get_magic_quotes_gpc()) {
$val_se = stripslashes($val_se);
$val_allora = stripslashes($val_allora);
} # fine if (@get_magic_quotes_gpc())
if (C_RESTRIZIONI_DEMO_ADMIN == "SI") {
$val_se = htmlspecialchars($val_se);
$val_allora = htmlspecialchars($val_allora);
} # fine if (C_RESTRIZIONI_DEMO_ADMIN == "SI")
$val_se = str_replace("#%?","",$val_se);
$val_se = str_replace("|","/",$val_se);
$val_se2 = str_replace("#%?","",$val_se2);
$val_se2 = str_replace("|","/",$val_se2);
$val_allora = str_replace("#%?","",$val_allora);
$val_allora = str_replace("|","/",$val_allora);
$val_se = aggslashdb($val_se);
$val_se2 = aggslashdb($val_se2);
$val_allora = aggslashdb($val_allora);
$var_se = aggslashdb($var_se);
$var_se2 = aggslashdb($var_se2);
if (substr($var_allora,0,1) != "a") $var_allora_contr = $var_allora;
else $var_allora_contr = substr($var_allora,1);
if ($aggiungi_cond == "set" and $inizializza == "SI") $aggiungi_cond = "ini";
if (controlla_num_pos($var_allora_contr) == "NO" and $aggiungi_cond != "break") $continua = "NO";
if ($cond == "mag") $cond = ">";
if ($cond == "min") $cond = "<";
if (substr($aggiungi_cond,0,2) == "if" and $cond != "=" and $cond != "!=" and $cond != ">" and $cond != "<") $continua = "NO";
if (substr($aggiungi_cond,0,2) == "if" and $operatore != "="  and $operatore != ".=") $continua = "NO";
if (substr($aggiungi_cond,0,3) == "2if" and $cond != "=" and $cond != "!=") $continua = "NO";
if (substr($aggiungi_cond,0,3) == "2if" and $cond2 != "=" and $cond2 != "!=") $continua = "NO";
if (substr($aggiungi_cond,0,3) == "2if" and $andor != "and" and $andor != "or") $continua = "NO";
if ($aggiungi_cond == "trunc") {
if (controlla_num_pos($val_allora) == "NO") $continua = "NO";
if ($val_se2 != "ini" and $val_se2 != "fin") $continua = "NO";
} # fine if ($aggiungi_cond == "trunc")
if ($aggiungi_cond == "oper" or $aggiungi_cond == "oper2") {
if ($operatore != "+" and $operatore != "-" and $operatore != "*" and $operatore != "/") $continua = "NO";
if ($aggiungi_cond == "oper") {
$val_allora = formatta_soldi($val_allora);
if (controlla_soldi($val_allora) == "NO") $continua = "NO";
} # fine if ($aggiungi_cond == "oper")
$val_se = formatta_soldi($val_se);
if (controlla_soldi($val_se) == "NO") $continua = "NO";
if ($operatore == "/" and !$val_allora) $continua = "NO";
if ($operatore == "/" and !$val_se) $continua = "NO";
if ((string) $val_se != "" and str_replace("0","",$val_se) == "") $continua = "NO";
} # fine if ($aggiungi_cond == "oper" or $aggiungi_cond == "oper2")
if ($aggiungi_cond == "unset" and substr($var_allora,0,1) != "a") $continua = "NO";

if ($continua == "SI") {
function controlla_var_allora ($var_allora,$contr_cond,$continua) {
global $tablecontratti,$LIKE;
if (substr($var_allora,0,1) != "a") $var_esistente = esegui_query("select * from $tablecontratti where (tipo = 'var' or tipo = 'var$contr_cond') and numero = '$var_allora'");
else $var_esistente = esegui_query("select * from $tablecontratti where (tipo = 'vett' or tipo = 'vett$contr_cond') and numero = '".substr($var_allora,1)."'");
if (numlin_query($var_esistente) != 1) $continua = "NO";
return $continua;
} # fine function controlla_var_allora
function controlla_var_se ($var_se,$var_predef,$num_var_predef,$contr_cond,$continua) {
global $tablecontratti,$LIKE;
$var_se_trovata = "NO";
if (str_replace("(","",$var_se) == $var_se) $var_se_contr = $var_se;
else {
$var_se_contr = explode("(",$var_se);
$var_se_contr = $var_se_contr[0];
} # fine else if (str_replace("(","",$var_se) == $var_se)
$var_esistente = esegui_query("select * from $tablecontratti where ((tipo = 'var' or tipo = 'var$contr_cond') and testo = '$var_se_contr') or ((tipo = 'vett' or tipo = 'vett$contr_cond') and testo $LIKE '$var_se_contr;%')");
if (numlin_query($var_esistente) == 1) $var_se_trovata = "SI";
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
if ($var_predef[$num1] == $var_se) $var_se_trovata = "SI";
} # fine for $num1
if ($var_se_trovata != "SI") $continua = "NO";
return $continua;
} # fine function controlla_var_se
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
if (strcmp($contr_cond,"")) {
$contr_cond_esist = esegui_query("select numero from $tablecontratti where numero = '".aggslashdb($contr_cond)."' and tipo $LIKE 'contr%' ");
if (numlin_query($contr_cond_esist) != 1) { $continua = "NO"; $contr_cond = ""; }
} # fine if (strcmp($contr_cond,""))
if ($aggiungi_cond != "break") $continua = controlla_var_allora($var_allora,$contr_cond,$continua);
if ($aggiungi_cond != "trunc" and $aggiungi_cond != "set" and $aggiungi_cond != "ini") $continua = controlla_var_se($var_se,$var_predef,$num_var_predef,$contr_cond,$continua);
if ($aggiungi_cond == "replace2" or $aggiungi_cond == "if3" or $aggiungi_cond == "if4") $continua = controlla_var_se($val_se,$var_predef,$num_var_predef,$contr_cond,$continua);
if ($aggiungi_cond == "if2" or $aggiungi_cond == "if4" or $aggiungi_cond == "2if2" or $aggiungi_cond == "oper2" or $aggiungi_cond == "replace2") $continua = controlla_var_se($val_allora,$var_predef,$num_var_predef,$contr_cond,$continua);
if ($aggiungi_cond == "2if" or $aggiungi_cond == "2if2") $continua = controlla_var_se($var_se2,$var_predef,$num_var_predef,$contr_cond,$continua);
if ($continua == "SI") {
$max_cond = esegui_query("select max(numero) from $tablecontratti where tipo = 'cond$contr_cond' ");
if (numlin_query($max_cond) != 0) $max_cond = (risul_query($max_cond,0,0) + 1);
else $max_cond = 1;
$testo = "";
if ($aggiungi_cond == "ini") $testo = "ini#%?".$var_allora."#%?".$val_allora;
if ($aggiungi_cond == "set") $testo = "set#%?".$var_allora."#%?".$val_allora;
if ($aggiungi_cond == "if") $testo = "if#%?".$var_se."#%?".$cond."#%?".$val_se."#%?".$var_allora."#%?".$operatore."#%?".$val_allora;
if ($aggiungi_cond == "if2") $testo = "if2#%?".$var_se."#%?".$cond."#%?".$val_se."#%?".$var_allora."#%?".$operatore."#%?".$val_allora;
if ($aggiungi_cond == "if3") $testo = "if3#%?".$var_se."#%?".$cond."#%?".$val_se."#%?".$var_allora."#%?".$operatore."#%?".$val_allora;
if ($aggiungi_cond == "if4") $testo = "if4#%?".$var_se."#%?".$cond."#%?".$val_se."#%?".$var_allora."#%?".$operatore."#%?".$val_allora;
if ($aggiungi_cond == "2if") $testo = "2if#%?".$var_se."#%?".$cond."#%?".$val_se."#%?".$andor."#%?".$var_se2."#%?".$cond2."#%?".$val_se2."#%?".$var_allora."#%?".$operatore."#%?".$val_allora;
if ($aggiungi_cond == "2if2") $testo = "2if2#%?".$var_se."#%?".$cond."#%?".$val_se."#%?".$andor."#%?".$var_se2."#%?".$cond2."#%?".$val_se2."#%?".$var_allora."#%?".$operatore."#%?".$val_allora;
if ($aggiungi_cond == "replace") $testo = "replace#%?".$var_allora."#%?".$var_se."#%?".$val_se."#%?".$val_allora;
if ($aggiungi_cond == "replace2") $testo = "replace2#%?".$var_allora."#%?".$var_se."#%?".$val_se."#%?".$val_allora;
if ($aggiungi_cond == "trunc") $testo = "trunc#%?".$var_allora."#%?".$val_allora."#%?".$val_se."#%?".$val_se2;
if ($aggiungi_cond == "oper") $testo = "oper#%?".$var_allora."#%?".$var_se."#%?".$operatore."#%?".$val_allora."#%?".$val_se;
if ($aggiungi_cond == "oper2") $testo = "oper2#%?".$var_allora."#%?".$var_se."#%?".$operatore."#%?".$val_allora."#%?".$val_se;
if ($aggiungi_cond == "unset") $testo = "unset#%?".$var_se."#%?".$cond."#%?".$val_se."#%?".$var_allora;
if ($aggiungi_cond == "break") $testo = "break#%?".$var_se."#%?".$cond."#%?".$val_se;
if ($testo) {
esegui_query("insert into $tablecontratti (numero,tipo,testo) values ('$max_cond','cond$contr_cond','$testo')");
echo mex("Nuova condizione inserita",$pag).".<br>";
} # fine if ($testo)
else $continua = "NO";
} # fine if ($continua == "SI")
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
if ($continua != "SI") echo mex("I dati inseriti sono <div style=\"display: inline; color: red;\">errati</div>",$pag).".<br>";
} # fine if ($aggiungi_cond)


if ($elimina_cond) {
$mostra_form_iniziale = "NO";
$continua = "SI";
if (controlla_num_pos($num_cond) == "NO") $continua = "NO";
if ($continua == "SI") {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
esegui_query("delete from $tablecontratti where numero = '$num_cond' and tipo = 'cond$contr_cond'");
echo mex("Condizione eliminata",$pag).".<br>";
unlock_tabelle($tabelle_lock);
} # fine if ($continua == "SI")
if ($continua != "SI") echo mex("I dati inseriti sono <div style=\"display: inline; color: red;\">errati</div>",$pag).".<br>";
} # fine if ($elimina_cond)


if ($mostra_form_iniziale == "NO") {
echo "<br><form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"contr_cond\" value=\"$contr_cond\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</div></form>";
} # fine if ($mostra_form_iniziale == "NO")

} # fine if ($cambia_qualcosa)




if (($sposta_giu or $sposta_su) and $num_cond) {
$tabelle_lock = array("$tablecontratti");
$tabelle_lock = lock_tabelle($tabelle_lock);
$condizioni = esegui_query("select * from $tablecontratti where tipo = 'cond$contr_cond' order by testo $LIKE 'ini%' desc, numero");
$num_condizioni = numlin_query($condizioni);
$altro_num_cond = "";
for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
if ($num_cond == risul_query($condizioni,$num1,"numero")) {
if ($sposta_giu and ($num1 + 1) < $num_condizioni) $altro_num_cond = risul_query($condizioni,($num1 + 1),"numero");
if ($sposta_su and ($num1 - 1) >= 0) $altro_num_cond = risul_query($condizioni,($num1 - 1),"numero");
} # fine if ($num_cond == risul_query($condizioni,$num1,"numero"))
} # fine for $num1
if ($altro_num_cond) {
esegui_query("update $tablecontratti set numero = '-1' where numero = '$num_cond' and tipo = 'cond$contr_cond' ");
esegui_query("update $tablecontratti set numero = '$num_cond' where numero = '$altro_num_cond' and tipo = 'cond$contr_cond' ");
esegui_query("update $tablecontratti set numero = '$altro_num_cond' where numero = '-1' and tipo = 'cond$contr_cond' ");
} # fine if ($altro_num_cond)
unlock_tabelle($tabelle_lock);
} # fine if (($sposta_giu or $sposta_su) and $num_cond)





if ($mostra_form_iniziale != "NO") {


echo "<h3>".mex("Variabili personalizzate dei documenti",$pag)."</h3><br><br>";

$variabili_pers = esegui_query("select * from $tablecontratti where tipo = 'var' or tipo = 'var$contr_cond' order by tipo, numero");
$num_variabili_pers = numlin_query($variabili_pers);
$option_var_pers = "";
for ($num1 = 0 ; $num1 < $num_variabili_pers ; $num1++) {
$var_pers = risul_query($variabili_pers,$num1,'testo');
$num_var_pers = risul_query($variabili_pers,$num1,'numero');
$option_var_pers .= "<option value=\"$num_var_pers\">$var_pers</option>";
$var_predef[$num_var_predef] = $var_pers;
$num_var_predef++;
$nome_var[$num_var_pers] = $var_pers;
} # fine for $num1

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"contr_cond\" value=\"$contr_cond\">
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
".mex("Variabili personalizzate",$pag).": ";
if ($option_var_pers) {
echo "<select name=\"var_pers_elimina\">
$option_var_pers
</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_var_pers\" value=\"".mex("Elimina",$pag)."\">";
} # fine if ($option_var_pers)
echo "&nbsp;&nbsp;&nbsp;<input name=\"nuova_var_pers\" size=\"20\" maxlength=\"50\" type=\"text\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_var_pers\" value=\"".mex("Aggiungi",$pag)."\">";
if ($contr_cond) echo " (<input type=\"checkbox\" name=\"solo_contr_cond\" value=\"SI\" checked> ".mex("solo al documento",$pag)." $contr_cond)";
echo "</div></form><br>";


$array_pers = esegui_query("select * from $tablecontratti where tipo = 'vett' or tipo = 'vett$contr_cond' order by tipo, numero");
$num_array_pers = numlin_query($array_pers);
$option_arr_pers = "";
for ($num1 = 0 ; $num1 < $num_array_pers ; $num1++) {
$arr_pers_vett = explode(";",risul_query($array_pers,$num1,'testo'));
$arr_pers = $arr_pers_vett[0];
$var_arr_pers = $arr_pers_vett[1];
$num_arr_pers = risul_query($array_pers,$num1,'numero');
$option_arr_pers .= "<option value=\"a$num_arr_pers\">$arr_pers(".mex2($var_arr_pers).")</option>";
$var_predef[$num_var_predef] = "$arr_pers($var_arr_pers)";
$num_var_predef++;
$nome_var["a$num_arr_pers"] = "$arr_pers(".mex2($var_arr_pers).")";
} # fine for $num1
$option_var_pers .= $option_arr_pers;

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"contr_cond\" value=\"$contr_cond\">
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
".mex("Array personalizzati",$pag).": ";
if ($option_arr_pers) {
echo "<select name=\"arr_pers_elimina\">
$option_arr_pers
</select>
<input class=\"sbutton\" type=\"submit\" name=\"elimina_arr_pers\" value=\"".mex("Elimina",$pag)."\">";
} # fine if ($option_arr_pers)
echo "&nbsp;&nbsp;&nbsp;<input name=\"nuovo_arr_pers\" size=\"20\" maxlength=\"50\" type=\"text\">
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_arr_pers\" value=\"".mex("Aggiungi",$pag)."\">";
if ($contr_cond) echo " (<input type=\"checkbox\" name=\"solo_contr_cond\" value=\"SI\" checked> ".mex("solo al documento",$pag)." $contr_cond)";
echo "</div></form><br>";


$contratti = esegui_query("select * from $tablecontratti where tipo $LIKE 'contr%' order by numero");
$num_contratti = numlin_query($contratti);
$nomi_contratti = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'nomi_contratti' and idutente = '$id_utente'");
$nomi_contratti = explode("#@&",risul_query($nomi_contratti,0,'valpersonalizza'));
$num_nomi_contratti = count($nomi_contratti);
for ($num1 = 0 ; $num1 < $num_nomi_contratti ; $num1++) {
$dati_nome_contratto = explode("#?&",$nomi_contratti[$num1]);
$nome_contratto[$dati_nome_contratto[0]] = $dati_nome_contratto[1];
} # fine for $num1
if (!$contr_cond) {
$sel = " selected";
$frase_cond_contr = mex("a tutti i documenti",$pag);
$input_cond_contr = "";
} # fine if (!$contr_cond)
else $sel = "";
$opt_contr = "<option value=\"\"$sel>".mex("a tutti i documenti",$pag)."</option>";
for ($num1 = 0 ; $num1 < $num_contratti ; $num1++) {
$num_contr = risul_query($contratti,$num1,'numero');
if ($contr_cond == $num_contr) {
$sel = " selected";
$frase_cond_contr = mex("al documento",$pag)." $num_contr";
if ($nome_contratto[$num_contr]) $frase_cond_contr .= " (".$nome_contratto[$num_contr].")";
$input_cond_contr = "<input type=\"hidden\" name=\"contr_cond\" value=\"$num_contr\">";
} # fine if ($contr_cond == $num_contr)
else $sel = "";
$opt_contr .= "<option value=\"$num_contr\"$sel>".mex("al documento",$pag)." $num_contr";
if ($nome_contratto[$num_contr]) $opt_contr .= " (".$nome_contratto[$num_contr].")";
$opt_contr .= "</option>";
} # fine for $num1
echo "<br><form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
".mex("Modifica le condizioni applicate",$pag)."
<select name=\"contr_cond\">
$opt_contr</select>
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Modifica",$pag)."\">
</div></form>";

if ($option_var_pers) {

function rowbgcolor () {
global $rowbgcolor,$t2row1color,$t2row2color;
if ($rowbgcolor == $t2row2color) $rowbgcolor = $t2row1color;
else $rowbgcolor = $t2row2color;
return $rowbgcolor;
} # fine function rowbgcolor

$condizioni = esegui_query("select * from $tablecontratti where tipo = 'cond$contr_cond' order by testo $LIKE 'ini%' desc, numero");
$num_condizioni = numlin_query($condizioni);
for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
$n_cond_prec = $n_cond;
$n_cond = risul_query($condizioni,$num1,'numero');
if ($n_cond < $n_cond_prec) $num_cond_ini = $num1;
if ($n_cond == $num_cond) $num_cond_passa = $num1;
} # fine for $num1
if ($num_cond and $num_cond_passa < 20) echo "<a name=\"condizioni\"></a>";
echo "".mex("<b>Condizioni</b> applicate",$pag)." $frase_cond_contr:<br>
<table><tr><td style=\"height: 5px;\"></td></tr></table>";

if ($num_condizioni > 0) {
$tab_cond = "";
for ($num1 = 0 ; $num1 < $num_condizioni ; $num1++) {
$condizione = risul_query($condizioni,$num1,'testo');
$num_cond = risul_query($condizioni,$num1,'numero');
$condizione = explode("#%?",$condizione);
$tab_cond .= "<tr style=\"background-color: ".rowbgcolor().";\"><td><b>".($num1 + 1)."</b>. ";
if ($num_cond_passa == ($num1 + 20)) $tab_cond .= "<a name=\"condizioni\"></a>";
if ($condizione[0] == "ini") {
$tab_cond .= mex("Porre",$pag)." [".$nome_var[$condizione[1]]."] ".mex("uguale a",$pag);
$tab_cond .= " \"".mex2($condizione[2])."\" ".mex("solo all'inizio delle ripetizioni delle prenotazioni",$pag).".";
} # fine if ($condizione[0] == "ini")
if ($condizione[0] == "set") {
$tab_cond .= mex("Porre",$pag)." [".$nome_var[$condizione[1]]."] ".mex("uguale a",$pag);
$tab_cond .= " \"".mex2($condizione[2])."\".";
} # fine if ($condizione[0] == "set")
if (substr($condizione[0],0,2) == "if") {
$tab_cond .= mex("Se",$pag);
$tab_cond .= " [".mex2($condizione[1])."] ";
if ($condizione[2] == "=") $tab_cond .= mex("è uguale a",$pag);
if ($condizione[2] == "!=") $tab_cond .= mex("è diverso da",$pag);
if ($condizione[2] == ">") $tab_cond .= mex("è maggiore di",$pag);
if ($condizione[2] == "<") $tab_cond .= mex("è minore di",$pag);
if ($condizione[0] == "if3" or $condizione[0] == "if4") $tab_cond .= " [".mex2($condizione[3])."] ";
else $tab_cond .= " \"".$condizione[3]."\" ";
$tab_cond .= mex("allora porre",$pag)."
 [".$nome_var[$condizione[4]]."] ";
if ($condizione[5] == "=") $tab_cond .= mex("uguale a",$pag);
if ($condizione[5] == ".=") $tab_cond .= mex("concatenato con",$pag);
if ($condizione[0] == "if2" or $condizione[0] == "if4") $tab_cond .= " [".mex2($condizione[6])."].";
else $tab_cond .= " \"".$condizione[6]."\".";
} # fine if (substr($condizione[0],0,2) == "if")
if (substr($condizione[0],0,3) == "2if") {
$tab_cond .= mex("Se",$pag);
$tab_cond .= " [".mex2($condizione[1])."] ";
if ($condizione[2] == "=") $tab_cond .= mex("è uguale a",$pag);
if ($condizione[2] == "!=") $tab_cond .= mex("è diverso da",$pag);
$tab_cond .= " \"".$condizione[3]."\" ";
if ($condizione[4] == "and") $tab_cond .= mex("e",$pag);
if ($condizione[4] == "or") $tab_cond .= mex("o",$pag);
$tab_cond .= " [".mex2($condizione[5])."] ";
if ($condizione[6] == "=") $tab_cond .= mex("è uguale a",$pag);
if ($condizione[6] == "!=") $tab_cond .= mex("è diverso da",$pag);
$tab_cond .= " \"".$condizione[7]."\" ";
$tab_cond .= mex("allora porre",$pag)."
 [".$nome_var[$condizione[8]]."] ";
if ($condizione[9] == "=") $tab_cond .= mex("uguale a",$pag);
if ($condizione[9] == ".=") $tab_cond .= mex("concatenato con",$pag);
if ($condizione[0] == "2if2") $tab_cond .= " [".mex2($condizione[10])."].";
else $tab_cond .= " \"".$condizione[10]."\".";
} # fine if (substr($condizione[0],0,3) == "2if")
if ($condizione[0] == "replace" or $condizione[0] == "replace2") {
$tab_cond .= mex("Porre",$pag)." [".$nome_var[$condizione[1]]."] ".mex("uguale a",$pag);
$tab_cond .= " [".mex2($condizione[2])."]";
if ($condizione[0] == "replace" and $condizione[3] != $condizione[4]) $tab_cond .= " ".mex("sostituendo",$pag)." \"".$condizione[3]."\" ".mex("con",$pag)." \"".$condizione[4]."\".";
if ($condizione[0] == "replace2") $tab_cond .= " ".mex("sostituendo",$pag)." [".mex2($condizione[3])."] ".mex("con",$pag)." [".mex2($condizione[4])."].";
} # fine if ($condizione[0] == "replace" or $condizione[0] == "replace2")
if ($condizione[0] == "trunc") {
$tab_cond .= mex("Troncare",$pag)." [".$nome_var[$condizione[1]]."] ".mex("dopo",$pag);
$tab_cond .= " ".$condizione[2]." ".mex("caratteri",$pag);
if (strcmp($condizione[3],"")) {
$tab_cond .= " (".mex("riempiendo i mancanti con",$pag)." \"".$condizione[3]."\"";
if ($condizione[4] == "ini") $tab_cond .= " ".mex("all'inizio",$pag);
if ($condizione[4] == "fin") $tab_cond .= " ".mex("alla fine",$pag);
$tab_cond .= ")";
} # fine if (strcmp($condizione[3],""))
$tab_cond .= ".";
} # fine if ($condizione[0] == "trunc")
if ($condizione[0] == "oper") {
$tab_cond .= mex("Porre",$pag)." [".$nome_var[$condizione[1]]."] ".mex("uguale a",$pag);
$tab_cond .= " [".mex2($condizione[2])."] ";
$tab_cond .= $condizione[3]." ".$condizione[4];
if ((string) $condizione[5] != "") $tab_cond .= " (".mex("arrotondato a",$pag)." ".$condizione[5].")";
$tab_cond .= ".";
} # fine if ($condizione[0] == "oper")
if ($condizione[0] == "oper2") {
$tab_cond .= mex("Porre",$pag)." [".$nome_var[$condizione[1]]."] ".mex("uguale a",$pag);
$tab_cond .= " [".mex2($condizione[2])."] ";
$tab_cond .= $condizione[3]." [".mex2($condizione[4])."]";
if ((string) $condizione[5] != "") $tab_cond .= " (".mex("arrotondato a",$pag)." ".$condizione[5].")";
$tab_cond .= ".";
} # fine if ($condizione[0] == "oper2")
if ($condizione[0] == "unset") {
$tab_cond .= mex("Se",$pag);
$tab_cond .= " [".mex2($condizione[1])."] ";
if ($condizione[2] == "=") $tab_cond .= mex("è uguale a",$pag);
if ($condizione[2] == "!=") $tab_cond .= mex("è diverso da",$pag);
$tab_cond .= " \"".$condizione[3]."\" ".mex("allora",$pag)." ".mex("azzera l'array",$pag)."
 [".$nome_var[$condizione[4]]."].";
} # fine if ($condizione[0] == "unset")
if ($condizione[0] == "break") {
$tab_cond .= mex("Se",$pag);
$tab_cond .= " [".mex2($condizione[1])."] ";
if ($condizione[2] == "=") $tab_cond .= mex("è uguale a",$pag);
if ($condizione[2] == "!=") $tab_cond .= mex("è diverso da",$pag);
$tab_cond .= " \"".$condizione[3]."\" ".mex("allora",$pag)." ".mex("non processare le condizioni successive",$pag).".";
} # fine if ($condizione[0] == "break")
$tab_cond .= "</td>";
if ($num1 != ($num_condizioni - 1) and $num1 != ($num_cond_ini - 1)) {
$tab_cond .= "<td><form accept-charset=\"utf-8\" method=\"post\" action=\"$pag#condizioni\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"sposta_giu\" value=\"SI\">
<input type=\"hidden\" name=\"num_cond\" value=\"$num_cond\">
<button type=\"submit\">
<img style=\"display: block;\" src=\"./includes/icone/freccia_giu_marg.png\" alt=\"&lt;\">
</button></div></form></td>";
} # fine if ($num1 != ($num_condizioni - 1))
else $tab_cond .= "<td></td>";
if ($num1 != 0 and $num1 != $num_cond_ini) {
$tab_cond .= "<td><form accept-charset=\"utf-8\" method=\"post\" action=\"$pag#condizioni\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"sposta_su\" value=\"SI\">
<input type=\"hidden\" name=\"num_cond\" value=\"$num_cond\">
<button type=\"submit\">
<img style=\"display: block;\" src=\"./includes/icone/freccia_su_marg.png\" alt=\"&gt;\">
</button></div></form></td>";
} # fine if ($num1 != 0 and ($num1 + 1) != $num_cond_ini)
else $tab_cond .= "<td></td>";
$tab_cond .= "<td><form accept-charset=\"utf-8\" method=\"post\" action=\"$pag#condizioni\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"num_cond\" value=\"$num_cond\">
<input class=\"sbutton\" type=\"submit\" name=\"elimina_cond\" value=\"".mex("Elimina",$pag)."\">
</div></form></td></tr>";
} # fine for $num1
echo "<table>
$tab_cond
</table><br>";
} # fine if ($num_condizioni > 0)
else echo "<br>";

$option_var_predef = "";
for ($num1 = 0 ; $num1 < $num_var_predef ; $num1++) {
$option_var_predef .= "<option value=\"".$var_predef[$num1]."\">".mex2($var_predef[$num1])."</option>";
} # fine for $num1

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"if\">
<table><tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">
$option_var_predef
</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
<option value=\"mag\">".mex("è maggiore di",$pag)."</option>
<option value=\"min\">".mex("è minore di",$pag)."</option>
</select></td><td>
<input name=\"val_se\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
".str_replace(" ","&nbsp;",mex("allora",$pag))."</td><td>
<select name=\"operatore\">
<option value=\"=\">".mex("uguaglia",$pag)."</option>
<option value=\".=\">".mex("concatena",$pag)."</option>
</select></td><td>
<select name=\"var_allora\">
$option_var_pers
</select></td><td>
".str_replace(" ","&nbsp;",mex("con",$pag))."</td><td>
<input name=\"val_allora\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"if2\">
<table><tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">
$option_var_predef
</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
<option value=\"mag\">".mex("è maggiore di",$pag)."</option>
<option value=\"min\">".mex("è minore di",$pag)."</option>
</select></td><td>
<input name=\"val_se\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
".str_replace(" ","&nbsp;",mex("allora",$pag))."</td><td>
<select name=\"operatore\">
<option value=\"=\">".mex("uguaglia",$pag)."</option>
<option value=\".=\">".mex("concatena",$pag)."</option>
</select></td><td>
<select name=\"var_allora\">
$option_var_pers
</select></td><td>
".str_replace(" ","&nbsp;",mex("con",$pag))."</td><td>
<select name=\"val_allora\">
$option_var_predef
</select></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"if3\">
<table><tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">
$option_var_predef
</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
<option value=\"mag\">".mex("è maggiore di",$pag)."</option>
<option value=\"min\">".mex("è minore di",$pag)."</option>
</select></td><td>
<select name=\"val_se\">
$option_var_predef
</select></td><td>
".str_replace(" ","&nbsp;",mex("allora",$pag))."</td><td>
<select name=\"operatore\">
<option value=\"=\">".mex("uguaglia",$pag)."</option>
<option value=\".=\">".mex("concatena",$pag)."</option>
</select></td><td>
<select name=\"var_allora\">
$option_var_pers
</select></td><td>
".str_replace(" ","&nbsp;",mex("con",$pag))."</td><td>
<input name=\"val_allora\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"if4\">
<table><tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">
$option_var_predef
</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
<option value=\"mag\">".mex("è maggiore di",$pag)."</option>
<option value=\"min\">".mex("è minore di",$pag)."</option>
</select></td><td>
<select name=\"val_se\">
$option_var_predef
</select></td><td>
".str_replace(" ","&nbsp;",mex("allora",$pag))."</td><td>
<select name=\"operatore\">
<option value=\"=\">".mex("uguaglia",$pag)."</option>
<option value=\".=\">".mex("concatena",$pag)."</option>
</select></td><td>
<select name=\"var_allora\">
$option_var_pers
</select></td><td>
".str_replace(" ","&nbsp;",mex("con",$pag))."</td><td>
<select name=\"val_allora\">
$option_var_predef
</select></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"2if\">
<table><tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">
$option_var_predef
</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
</select></td><td><input name=\"val_se\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
<select name=\"andor\">
<option value=\"and\">".mex("e",$pag)."</option>
<option value=\"or\">".mex("o",$pag)."</option>
</select></td><td>
<select name=\"var_se2\">
$option_var_predef
</select></td><td><select name=\"cond2\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
</select></td><td>
<input name=\"val_se2\" size=\"20\" maxlength=\"750\" type=\"text\"></td>
</tr></table><table><tr>
<td>".str_replace(" ","&nbsp;",mex("allora",$pag))."</td><td>
<select name=\"operatore\">
<option value=\"=\">".mex("uguaglia",$pag)."</option>
<option value=\".=\">".mex("concatena",$pag)."</option>
</select></td><td>
<select name=\"var_allora\">
$option_var_pers
</select></td><td>
".str_replace(" ","&nbsp;",mex("con",$pag))."</td><td>
<input name=\"val_allora\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"2if2\">
<table><tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">
$option_var_predef
</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
</select></td><td><input name=\"val_se\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
<select name=\"andor\">
<option value=\"and\">".mex("e",$pag)."</option>
<option value=\"or\">".mex("o",$pag)."</option>
</select></td><td>
<select name=\"var_se2\">
$option_var_predef
</select></td><td><select name=\"cond2\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
</select></td><td>
<input name=\"val_se2\" size=\"20\" maxlength=\"750\" type=\"text\"></td>
</tr></table><table><tr>
<td>".str_replace(" ","&nbsp;",mex("allora",$pag))."</td><td>
<select name=\"operatore\">
<option value=\"=\">".mex("uguaglia",$pag)."</option>
<option value=\".=\">".mex("concatena",$pag)."</option>
</select></td><td>
<select name=\"var_allora\">
$option_var_pers
</select></td><td>
".str_replace(" ","&nbsp;",mex("con",$pag))."</td><td>
<select name=\"val_allora\">
$option_var_predef
</select></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"set\">
<table><tr><td>".mex("Porre",$pag)." </td><td><select name=\"var_allora\">
$option_var_pers
</select></td><td>".str_replace(" ","&nbsp;",mex("uguale a",$pag))."</td><td>
<input name=\"val_allora\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
<select name=\"inizializza\">
<option value=\"\">".mex("in tutte le ripetizioni delle prenotazioni",$pag)."</option>
<option value=\"SI\">".mex("solo all'inizio delle ripetizioni delle prenotazioni",$pag)."</option>
</select></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"replace\">
<table><tr><td>".mex("Porre",$pag)." </td><td><select name=\"var_allora\">
$option_var_pers
</select></td><td>".str_replace(" ","&nbsp;",mex("uguale a",$pag))."</td><td>
<select name=\"var_se\">
$option_var_predef
</select></td><td>
".str_replace(" ","&nbsp;",mex("sostituendo",$pag))."</td><td>
<input name=\"val_se\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
".str_replace(" ","&nbsp;",mex("con",$pag))."</td><td>
<input name=\"val_allora\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"replace2\">
<table><tr><td>".mex("Porre",$pag)." </td><td><select name=\"var_allora\">
$option_var_pers
</select></td><td>".str_replace(" ","&nbsp;",mex("uguale a",$pag))."</td><td>
<select name=\"var_se\">
$option_var_predef
</select></td><td>
".str_replace(" ","&nbsp;",mex("sostituendo",$pag))."</td><td>
<select name=\"val_se\">
$option_var_predef
</select></td><td>
".str_replace(" ","&nbsp;",mex("con",$pag))."</td><td>
<select name=\"val_allora\">
$option_var_predef
</select></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"trunc\">
<table><tr><td>".mex("Troncare",$pag)." </td><td><select name=\"var_allora\">
$option_var_pers
</select></td><td>".str_replace(" ","&nbsp;",mex("dopo",$pag))."</td><td>
<input name=\"val_allora\" size=\"3\" maxlength=\"12\" type=\"text\"></td><td>
".str_replace(" ","&nbsp;",mex("caratteri",$pag))."</td><td>
<td>(".str_replace(" ","&nbsp;",mex("se mancanti riempire con",$pag))."</td><td>
<input name=\"val_se\" size=\"10\" maxlength=\"750\" type=\"text\"></td>
<td>".str_replace(" ","&nbsp;",mex("la parte",$pag))."</td><td>
<select name=\"val_se2\">
<option value=\"ini\">".mex("iniziale",$pag)."</option>
<option value=\"fin\">".mex("finale",$pag)."</option>
</select></td><td>)</td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"oper\">
<table><tr><td>".mex("Porre",$pag)." </td><td><select name=\"var_allora\">
$option_var_pers
</select></td><td>".str_replace(" ","&nbsp;",mex("uguale a",$pag))."</td><td>
<select name=\"var_se\">
$option_var_predef
</select></td><td>
<select name=\"operatore\">
<option value=\"+\">+</option>
<option value=\"-\">-</option>
<option value=\"*\">*</option>
<option value=\"/\">/</option>
</select></td><td>
<input name=\"val_allora\" size=\"15\" maxlength=\"50\" type=\"text\"></td>
<td>(".str_replace(" ","&nbsp;",mex("arrotondato a",$pag))."</td><td>
<input name=\"val_se\" size=\"15\" maxlength=\"50\" type=\"text\"></td><td>)</td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr><tr><td colspan=\"9\"><small>
(".mex("Utilizzare una variabile personalizzata che finisce con \"_p\" per aggiungervi i separatori delle migliaia dopo l'operazione",$pag).")
</small></td></tr>
</table></div></form><br>

<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"oper2\">
<table><tr><td>".mex("Porre",$pag)." </td><td><select name=\"var_allora\">
$option_var_pers
</select></td><td>".str_replace(" ","&nbsp;",mex("uguale a",$pag))."</td><td>
<select name=\"var_se\">
$option_var_predef
</select></td><td>
<select name=\"operatore\">
<option value=\"+\">+</option>
<option value=\"-\">-</option>
<option value=\"*\">*</option>
<option value=\"/\">/</option>
</select></td><td>
<select name=\"val_allora\">
$option_var_predef
</select></td>
<td>(".str_replace(" ","&nbsp;",mex("arrotondato a",$pag))."</td><td>
<input name=\"val_se\" size=\"15\" maxlength=\"50\" type=\"text\"></td><td>)</td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr><tr><td colspan=\"9\"><small>
(".mex("Utilizzare una variabile personalizzata che finisce con \"_p\" per aggiungervi i separatori delle migliaia dopo l'operazione",$pag).")
</small></td></tr>
</table></div></form><br>";

if ($option_arr_pers) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"unset\">
<table><tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">
$option_var_predef
</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
</select></td><td>
<input name=\"val_se\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
".str_replace(" ","&nbsp;",mex("allora",$pag)." ".mex("azzera l'array",$pag))."</td><td>
<select name=\"var_allora\">
$option_arr_pers
</select></td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>";
} # fine if ($option_arr_pers)

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
$input_cond_contr
<input type=\"hidden\" name=\"cambia_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"aggiungi_cond\" value=\"break\">
<table><tr><td>".mex("Se",$pag)." </td><td><select name=\"var_se\">
$option_var_predef
</select></td><td><select name=\"cond\">
<option value=\"=\">".mex("è uguale a",$pag)."</option>
<option value=\"!=\">".mex("è diverso da",$pag)."</option>
</select></td><td>
<input name=\"val_se\" size=\"20\" maxlength=\"750\" type=\"text\"></td><td>
".str_replace(" ","&nbsp;",mex("allora",$pag)." ".mex("non processare le condizioni successive",$pag))."</td><td>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Aggiungi",$pag)."\">
</td></tr></table></div></form><br>";

} # fine if ($option_var_pers)


echo "<br><hr style=\"width: 95%\"><br><div style=\"text-align: center;\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"personalizza.php#contratti\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</div></form><br></div>";


} # fine if ($mostra_form_iniziale != "NO")




if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($id_utente and $id_utente == 1)



?>
